Bug 917425 - /usr/share/cmake/paraview/VTKConfig.cmake references file in buildroot
/usr/share/cmake/paraview/VTKConfig.cmake references file in buildroot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: paraview (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-03 20:35 EST by Sandro Mani
Modified: 2013-03-16 21:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-16 21:03:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (566 bytes, patch)
2013-03-03 20:35 EST, Sandro Mani
no flags Details | Diff

  None (edit)
Description Sandro Mani 2013-03-03 20:35:38 EST
Created attachment 704722 [details]
Patch

Description of problem:

Extract of /usr/share/cmake/paraview/VTKConfig.cmake:
46: # Load testing interface macros.
47: include("/builddir/build/BUILD/ParaView-3.98.1-source/VTK/CMake/vtkTestingMacros.cmake")

These two lines should not appear in the cmake file

Version-Release number of selected component (if applicable):
paraview-devel-3.98.1-2.fc19.x86_64
(an also the openmpi, mpich2 variants)

Commenting out line 47 works as far as rebuilding paraview and the use case I encountered the problem with (building OpenFOAM with system paraview) is concerned. Corresponding patch attached.
Comment 1 Fedora Update System 2013-03-08 11:19:04 EST
paraview-3.98.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/paraview-3.98.1-3.fc18
Comment 2 Fedora Update System 2013-03-08 18:55:39 EST
Package paraview-3.98.1-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing paraview-3.98.1-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3587/paraview-3.98.1-3.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-03-16 21:03:49 EDT
paraview-3.98.1-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.